Update to rails 5.1.5
[rails.git] / Gemfile.lock
1 GEM
2   remote: https://rubygems.org/
3   specs:
4     SystemTimer (1.2.3)
5     actioncable (5.1.5)
6       actionpack (= 5.1.5)
7       nio4r (~> 2.0)
8       websocket-driver (~> 0.6.1)
9     actionmailer (5.1.5)
10       actionpack (= 5.1.5)
11       actionview (= 5.1.5)
12       activejob (= 5.1.5)
13       mail (~> 2.5, >= 2.5.4)
14       rails-dom-testing (~> 2.0)
15     actionpack (5.1.5)
16       actionview (= 5.1.5)
17       activesupport (= 5.1.5)
18       rack (~> 2.0)
19       rack-test (>= 0.6.3)
20       rails-dom-testing (~> 2.0)
21       rails-html-sanitizer (~> 1.0, >= 1.0.2)
22     actionpack-page_caching (1.1.0)
23       actionpack (>= 4.0.0, < 6)
24     actionview (5.1.5)
25       activesupport (= 5.1.5)
26       builder (~> 3.1)
27       erubi (~> 1.4)
28       rails-dom-testing (~> 2.0)
29       rails-html-sanitizer (~> 1.0, >= 1.0.3)
30     activejob (5.1.5)
31       activesupport (= 5.1.5)
32       globalid (>= 0.3.6)
33     activemodel (5.1.5)
34       activesupport (= 5.1.5)
35     activerecord (5.1.5)
36       activemodel (= 5.1.5)
37       activesupport (= 5.1.5)
38       arel (~> 8.0)
39     activesupport (5.1.5)
40       concurrent-ruby (~> 1.0, >= 1.0.2)
41       i18n (~> 0.7)
42       minitest (~> 5.1)
43       tzinfo (~> 1.1)
44     addressable (2.5.2)
45       public_suffix (>= 2.0.2, < 4.0)
46     annotate (2.7.2)
47       activerecord (>= 3.2, < 6.0)
48       rake (>= 10.4, < 13.0)
49     arel (8.0.0)
50     ast (2.4.0)
51     autoprefixer-rails (8.0.0)
52       execjs
53     bigdecimal (1.1.0)
54     builder (3.2.3)
55     canonical-rails (0.2.2)
56       rails (>= 4.1, < 5.2)
57     capybara (2.18.0)
58       addressable
59       mini_mime (>= 0.1.3)
60       nokogiri (>= 1.3.3)
61       rack (>= 1.0.0)
62       rack-test (>= 0.5.4)
63       xpath (>= 2.0, < 4.0)
64     climate_control (0.2.0)
65     cliver (0.3.2)
66     cocaine (0.5.8)
67       climate_control (>= 0.0.3, < 1.0)
68     coffee-rails (4.2.2)
69       coffee-script (>= 2.2.0)
70       railties (>= 4.0.0)
71     coffee-script (2.4.1)
72       coffee-script-source
73       execjs
74     coffee-script-source (1.12.2)
75     composite_primary_keys (10.0.3)
76       activerecord (~> 5.1.0, >= 5.1.5)
77     concurrent-ruby (1.0.5)
78     coveralls (0.8.21)
79       json (>= 1.8, < 3)
80       simplecov (~> 0.14.1)
81       term-ansicolor (~> 1.3)
82       thor (~> 0.19.4)
83       tins (~> 1.6)
84     crack (0.4.3)
85       safe_yaml (~> 1.0.0)
86     crass (1.0.3)
87     dalli (2.7.6)
88     docile (1.1.5)
89     dynamic_form (1.1.4)
90     erubi (1.7.0)
91     execjs (2.7.0)
92     exifr (1.3.3)
93     factory_bot (4.8.2)
94       activesupport (>= 3.0.0)
95     factory_bot_rails (4.8.2)
96       factory_bot (~> 4.8.2)
97       railties (>= 3.0.0)
98     faraday (0.12.2)
99       multipart-post (>= 1.2, < 3)
100     ffi (1.9.23)
101     fspath (3.1.0)
102     geoip (1.6.3)
103     globalid (0.4.1)
104       activesupport (>= 4.2.0)
105     hashdiff (0.3.7)
106     hashie (3.5.7)
107     htmlentities (4.3.4)
108     http_accept_language (2.0.5)
109     i18n (0.9.5)
110       concurrent-ruby (~> 1.0)
111     i18n-js (3.0.4)
112       i18n (~> 0.6, >= 0.6.6)
113     image_optim (0.26.1)
114       exifr (~> 1.2, >= 1.2.2)
115       fspath (~> 3.0)
116       image_size (~> 1.5)
117       in_threads (~> 1.3)
118       progress (~> 3.0, >= 3.0.1)
119     image_optim_rails (0.4.1)
120       image_optim (~> 0.24)
121       rails
122       sprockets
123     image_size (1.5.0)
124     in_threads (1.5.0)
125     jquery-rails (4.3.1)
126       rails-dom-testing (>= 1, < 3)
127       railties (>= 4.2.0)
128       thor (>= 0.14, < 2.0)
129     jshint (1.5.0)
130       execjs (>= 1.4.0)
131       multi_json (~> 1.0)
132       therubyracer (~> 0.12.1)
133     json (2.1.0)
134     jsonify (0.3.1)
135       multi_json (~> 1.0)
136     jsonify-rails (0.3.2)
137       actionpack
138       jsonify (< 0.4.0)
139     jwt (1.5.6)
140     kgio (2.11.2)
141     libv8 (3.16.14.19)
142     libxml-ruby (3.1.0)
143     listen (3.1.5)
144       rb-fsevent (~> 0.9, >= 0.9.4)
145       rb-inotify (~> 0.9, >= 0.9.7)
146       ruby_dep (~> 1.2)
147     logstash-event (1.2.02)
148     logstasher (1.2.2)
149       activesupport (>= 4.0)
150       logstash-event (~> 1.2.0)
151       request_store
152     loofah (2.2.0)
153       crass (~> 1.0.2)
154       nokogiri (>= 1.5.9)
155     mail (2.7.0)
156       mini_mime (>= 0.1.1)
157     method_source (0.9.0)
158     mime-types (3.1)
159       mime-types-data (~> 3.2015)
160     mime-types-data (3.2016.0521)
161     mimemagic (0.3.2)
162     mini_mime (1.0.0)
163     mini_portile2 (2.3.0)
164     minitest (5.11.3)
165     multi_json (1.13.1)
166     multi_xml (0.6.0)
167     multipart-post (2.0.0)
168     nio4r (2.2.0)
169     nokogiri (1.8.2)
170       mini_portile2 (~> 2.3.0)
171     nokogumbo (1.5.0)
172       nokogiri
173     oauth (0.4.7)
174     oauth-plugin (0.5.1)
175       multi_json
176       oauth (~> 0.4.4)
177       oauth2 (>= 0.5.0)
178       rack
179     oauth2 (1.4.0)
180       faraday (>= 0.8, < 0.13)
181       jwt (~> 1.0)
182       multi_json (~> 1.3)
183       multi_xml (~> 0.5)
184       rack (>= 1.2, < 3)
185     omniauth (1.8.1)
186       hashie (>= 3.4.6, < 3.6.0)
187       rack (>= 1.6.2, < 3)
188     omniauth-facebook (4.0.0)
189       omniauth-oauth2 (~> 1.2)
190     omniauth-github (1.3.0)
191       omniauth (~> 1.5)
192       omniauth-oauth2 (>= 1.4.0, < 2.0)
193     omniauth-google-oauth2 (0.5.3)
194       jwt (>= 1.5)
195       omniauth (>= 1.1.1)
196       omniauth-oauth2 (>= 1.5)
197     omniauth-mediawiki (0.0.3)
198       jwt (~> 1.0)
199       omniauth-oauth (~> 1.0)
200     omniauth-oauth (1.1.0)
201       oauth
202       omniauth (~> 1.0)
203     omniauth-oauth2 (1.5.0)
204       oauth2 (~> 1.1)
205       omniauth (~> 1.2)
206     omniauth-openid (1.0.1)
207       omniauth (~> 1.0)
208       rack-openid (~> 1.3.1)
209     omniauth-windowslive (0.0.12)
210       multi_json (~> 1.12)
211       omniauth-oauth2 (~> 1.4)
212     openstreetmap-deadlock_retry (1.3.0)
213     paperclip (5.2.1)
214       activemodel (>= 4.2.0)
215       activesupport (>= 4.2.0)
216       cocaine (~> 0.5.5)
217       mime-types
218       mimemagic (~> 0.3.0)
219     parallel (1.12.1)
220     parser (2.5.0.2)
221       ast (~> 2.4.0)
222     pg (0.21.0)
223     poltergeist (1.17.0)
224       capybara (~> 2.1)
225       cliver (~> 0.3.1)
226       websocket-driver (>= 0.2.0)
227     powerpack (0.1.1)
228     progress (3.4.0)
229     psych (3.0.2)
230     public_suffix (3.0.2)
231     puma (3.11.2)
232     r2 (0.2.7)
233     rack (2.0.4)
234     rack-cors (1.0.2)
235     rack-openid (1.3.1)
236       rack (>= 1.1.0)
237       ruby-openid (>= 2.1.8)
238     rack-test (0.8.2)
239       rack (>= 1.0, < 3)
240     rack-uri_sanitizer (0.0.2)
241     rails (5.1.5)
242       actioncable (= 5.1.5)
243       actionmailer (= 5.1.5)
244       actionpack (= 5.1.5)
245       actionview (= 5.1.5)
246       activejob (= 5.1.5)
247       activemodel (= 5.1.5)
248       activerecord (= 5.1.5)
249       activesupport (= 5.1.5)
250       bundler (>= 1.3.0)
251       railties (= 5.1.5)
252       sprockets-rails (>= 2.0.0)
253     rails-controller-testing (1.0.2)
254       actionpack (~> 5.x, >= 5.0.1)
255       actionview (~> 5.x, >= 5.0.1)
256       activesupport (~> 5.x)
257     rails-dom-testing (2.0.3)
258       activesupport (>= 4.2.0)
259       nokogiri (>= 1.6)
260     rails-html-sanitizer (1.0.3)
261       loofah (~> 2.0)
262     rails-i18n (4.0.2)
263       i18n (~> 0.6)
264       rails (>= 4.0)
265     railties (5.1.5)
266       actionpack (= 5.1.5)
267       activesupport (= 5.1.5)
268       method_source
269       rake (>= 0.8.7)
270       thor (>= 0.18.1, < 2.0)
271     rainbow (3.0.0)
272     rake (12.3.0)
273     rb-fsevent (0.10.2)
274     rb-inotify (0.9.10)
275       ffi (>= 0.5.0, < 2)
276     record_tag_helper (1.0.0)
277       actionview (~> 5.x)
278     redcarpet (3.4.0)
279     ref (2.0.0)
280     request_store (1.4.0)
281       rack (>= 1.4)
282     rinku (2.0.4)
283     rotp (3.3.0)
284     rubocop (0.52.1)
285       parallel (~> 1.10)
286       parser (>= 2.4.0.2, < 3.0)
287       powerpack (~> 0.1)
288       rainbow (>= 2.2.2, < 4.0)
289       ruby-progressbar (~> 1.7)
290       unicode-display_width (~> 1.0, >= 1.0.1)
291     ruby-openid (2.7.0)
292     ruby-progressbar (1.9.0)
293     ruby_dep (1.5.0)
294     safe_yaml (1.0.4)
295     sanitize (4.6.0)
296       crass (~> 1.0.2)
297       nokogiri (>= 1.4.4)
298       nokogumbo (~> 1.4)
299     sass (3.5.5)
300       sass-listen (~> 4.0.0)
301     sass-listen (4.0.0)
302       rb-fsevent (~> 0.9, >= 0.9.4)
303       rb-inotify (~> 0.9, >= 0.9.7)
304     sass-rails (5.0.7)
305       railties (>= 4.0.0, < 6)
306       sass (~> 3.1)
307       sprockets (>= 2.8, < 4.0)
308       sprockets-rails (>= 2.0, < 4.0)
309       tilt (>= 1.1, < 3)
310     secure_headers (5.0.5)
311       useragent (>= 0.15.0)
312     simplecov (0.14.1)
313       docile (~> 1.1.0)
314       json (>= 1.8, < 3)
315       simplecov-html (~> 0.10.0)
316     simplecov-html (0.10.2)
317     sprockets (3.7.1)
318       concurrent-ruby (~> 1.0)
319       rack (> 1, < 3)
320     sprockets-rails (3.2.1)
321       actionpack (>= 4.0)
322       activesupport (>= 4.0)
323       sprockets (>= 3.0.0)
324     term-ansicolor (1.6.0)
325       tins (~> 1.0)
326     therubyracer (0.12.3)
327       libv8 (~> 3.16.14.15)
328       ref
329     thor (0.19.4)
330     thread_safe (0.3.6)
331     tilt (2.0.8)
332     tins (1.16.3)
333     tzinfo (1.2.5)
334       thread_safe (~> 0.1)
335     uglifier (4.1.6)
336       execjs (>= 0.3.0, < 3)
337     unicode-display_width (1.3.0)
338     useragent (0.16.10)
339     validates_email_format_of (1.6.3)
340       i18n
341     vendorer (0.1.16)
342     webmock (3.3.0)
343       addressable (>= 2.3.6)
344       crack (>= 0.3.2)
345       hashdiff
346     websocket-driver (0.6.5)
347       websocket-extensions (>= 0.1.0)
348     websocket-extensions (0.1.3)
349     xpath (3.0.0)
350       nokogiri (~> 1.8)
351
352 PLATFORMS
353   ruby
354
355 DEPENDENCIES
356   SystemTimer (>= 1.1.3)
357   actionpack-page_caching
358   annotate
359   autoprefixer-rails
360   bigdecimal (~> 1.1.0)
361   canonical-rails
362   capybara (~> 2.13)
363   coffee-rails (~> 4.2)
364   composite_primary_keys (~> 10.0.0)
365   coveralls
366   dalli
367   dynamic_form
368   factory_bot_rails
369   faraday
370   geoip
371   htmlentities
372   http_accept_language (~> 2.0.0)
373   i18n-js (>= 3.0.0)
374   image_optim_rails
375   jquery-rails
376   jshint
377   json
378   jsonify-rails
379   kgio
380   libxml-ruby (>= 2.0.5)
381   listen
382   logstasher
383   minitest (~> 5.1)
384   oauth-plugin (>= 0.5.1)
385   omniauth
386   omniauth-facebook
387   omniauth-github
388   omniauth-google-oauth2 (>= 0.2.7)
389   omniauth-mediawiki (>= 0.0.3)
390   omniauth-openid
391   omniauth-windowslive
392   openstreetmap-deadlock_retry (>= 1.3.0)
393   paperclip (~> 5.2)
394   pg (~> 0.18)
395   poltergeist
396   psych
397   puma (~> 3.7)
398   r2 (~> 0.2.7)
399   rack-cors
400   rack-uri_sanitizer
401   rails (= 5.1.5)
402   rails-controller-testing
403   rails-i18n (~> 4.0.0)
404   record_tag_helper
405   redcarpet
406   rinku (>= 1.2.2)
407   rotp
408   rubocop
409   sanitize
410   sass-rails (~> 5.0)
411   secure_headers
412   uglifier (>= 1.3.0)
413   validates_email_format_of (>= 1.5.1)
414   vendorer
415   webmock
416
417 BUNDLED WITH
418    1.15.4